package router

import (
	"github.com/gin-gonic/gin"
)

func RegisterSystemConfig(group *gin.RouterGroup, handler *SystemConfig) {
	security := group.Group("/securityConfig")
	security.GET("/getSecurityConfig", handler.GetSecurity)
	security.POST("/setSecurityConfig", handler.SetSecurity)

	system := group.Group("/system")
	system.POST("/getSystemConfig", handler.Get)
	system.POST("/setSystemConfig", handler.Set)
	system.POST("/reloadSystem", handler.Reload)
	system.POST("/getServerInfo", handler.ServerInfo)
}
